{
  "id": "d673cf6cca66aed7e1cd718c",
  "source": "solid:signals",
  "type": "github-document",
  "title": "prop",
  "content": "---\ntitle: 'prop:*'\norder: 6\nuse_cases: \u003e-\n  dom properties, scrolltop manipulation, custom properties, property vs\n  attribute, direct property access\ntags:\n  - properties\n  - dom\n  - attributes\n  - manipulation\n  - custom\nversion: '1.0'\ndescription: \u003e-\n  Force DOM property assignment with prop:* in SolidJS. Set properties directly\n  instead of attributes for specific DOM manipulation needs.\n---\n\nForces the prop to be treated as a property instead of an attribute.\n\n```tsx\n\u003cdiv prop:scrollTop={props.scrollPos + \"px\"} /\u003e\n```\n\n:::note[Strong-Typing Custom Properties]\nType definitions are required when using TypeScript.\nSee the [TypeScript](/configuration/typescript#forcing-properties-and-custom-attributes) page for examples.\n:::",
  "url": "https://github.com/solidjs/solid-docs/blob/HEAD/src/routes/reference/jsx-attributes/prop.mdx",
  "metadata": {
    "path": "src/routes/reference/jsx-attributes/prop.mdx",
    "repo": "solidjs/solid-docs",
    "repo_url": "https://github.com/solidjs/solid-docs.git",
    "size": 737,
    "source_type": "github"
  },
  "hash": "910cb134599668b9ebaed8e1e4fe955cfbf6e54dd87e00ef89a7a143ca4f0ca8",
  "timestamp": "2026-02-23T11:43:00.189526603+01:00"
}